from setuptools import setup, find_packages

setup(
    name='rss_deduplicate',
    version='0.1',
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        'mkdocs>=1.0.4'
    ],
    entry_points={
        'mkdocs.plugins': [
            'rss_deduplicate = mkdocs_rss_deduplicate.rss_deduplicate:RssDeduplicatePlugin',
        ]
    },
    author='tb',
    description='An MkDocs plugin to deduplicate RSS feed items (generated by the i18n-plugin) and clean up image tags post-build.',
    long_description="""
    This MkDocs plugin performs two key functions to enhance the quality of RSS feeds generated from MkDocs sites:

    1. Deduplicates entries in the RSS feed that may arise due to localization (i18n) or other site generation artifacts, ensuring each item is unique.

    2. Cleans up image tags within the RSS feed descriptions to remove any site-specific markup or styling that is not compatible with RSS feed standards or display conventions in common RSS readers.

    This ensures that the RSS feeds are clean, concise, and compliant with RSS specifications, providing a better experience for subscribers of the feed.
    """,

    keywords='rss_deduplicate'
)